Skip to main content
POST
/
compute
/
v1
/
vms
/
allocate
Allocate a new Agent VM
curl --request POST \
  --url https://compute.hexelstudio.com/compute/v1/vms/allocate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tier": "<string>"
}
'
{
  "endpoint": "<string>",
  "expires_at": "<string>",
  "skills_loaded": [
    "<string>"
  ],
  "state": "<string>",
  "tier": "<string>",
  "token": "<string>",
  "vm_id": "<string>",
  "ws_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Body

application/json

Allocation parameters

tier
string
required
env
object
metadata
object
org_id
string
secure_runtime
string
skills
string[]
ttl_seconds
integer

Response

Created

endpoint
string
expires_at
string
skills_loaded
string[]
state
string
tier
string
token
string
vm_id
string
ws_url
string